import request from '@/utils/request'

export const xxbwry_list = (data = {}) =>
    request({
        url: '/jdbg/jsldgl_xxbwrygl/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            jsxw_xl: data.jsxw_xl,
            jsxw_uo_name:data.jsxw_uo_name
        }
    })
export const rzlc_add = (data = {}) =>
    request({
        url: '/jdbg/wjsj_rzlc/add',
        data: {
            issubmit: '1',
            jdbg_wjsj_rzlc: {
                wr_title: data.wr_title,
                wr_bmmc: data.wr_bmmc,
                wr_date: data.wr_date,
                wr_zt: data.wr_zt
            }
        }
    })
export const xxb_edit = (data = {}) =>
    request({
        url: '/jdbg/jsldgl_xxbwrygl/edit',
        data: {
            issubmit: '1',
            jsxw_id: data.jsxw_id,
            jdbg_jsldgl_xxbwrygl: {
                jsxw_uo_name: data.jsxw_uo_name,
                jsxw_xm:data.jsxw_xm,
                jsxw_xb:data.jsxw_xb,
                jsxw_csny:data.jsxw_csny,
                jsxw_xl:data.jsxw_xl,
                jsxw_zy:data.jsxw_zy,
                jsxw_gzgw:data.jsxw_gzgw,
                jsxw_cygzsj:data.jsxw_cygzsj,
                jsxw_sfz:data.jsxw_sfz,
                jsxw_address:data.jsxw_address,
                jsxw_phone:data.jsxw_phone,
                jsxw_bz:data.jsxw_bz
            }
        }
    })
export const xxbwry_del = (data = {}) =>
    request({
        url: '/jdbg/jsldgl_xxbwrygl/delete',
        data: {
            jsxw_id: data.jsxw_id
        }
    })
// 组织机构列表
export const org_list = (data = {}) => {
    return request({
        url: "/user/org/index",
        data: {
            site: "jnmf",
            limit: 999,
            page:1,
            ushool:'1',
            only_school:'1'
        },
    });
};