import request from '@/utils/request'
export const cjbs_list = (data = {}) =>
  request({
    url: '/jdbg/xsjs_bsgl/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      bs_type_id: data.bs_type_id,
      bs_type_name: data.bs_type_name,
      bs_bmsj: data.bs_bmsj,
      bs_file: data.bs_file
    }
  })
export const cjbs_add = (data = {}) =>
  request({
    url: '/jdbg/xsjs_bsgl/add',
    data: {
      issubmit: '1',
      //  bs_id: data.bs_id,
      jdbg_xsjs_bsgl: {
        bs_name: data.bs_name,
        bs_type_name: data.bs_type_name,
        bs_bmsj: data.bs_bmsj,
        bs_file: data.bs_file,
        bs_content: data.bs_content,
        bs_end_bmsj: data.bs_end_bmsj
      }
    }
  })
export const cjbs_edit = (data = {}) =>
  request({
    url: '/jdbg/xsjs_bsgl/edit',
    data: {
      issubmit: '1',
      bs_id: data.bs_id,
      jdbg_xsjs_bsgl: {
        bs_name: data.bs_name,
        bs_type_name: data.bs_type_name,
        bs_bmsj: data.bs_bmsj,
        bs_file: data.bs_file,
        bs_content: data.bs_content,
        bs_end_bmsj: data.bs_end_bmsj
      }
    }
  })

export const cjbs_del = (data = {}) =>
  request({
    url: '/jdbg/xsjs_bsgl/delete',
    data: {
      issubmit: '1',
      bs_id: data.bs_id
    }
  })
export const type_list = (data = {}) =>
  request({
    url: '/jdbg/xsjs_bsgl/type_list',
    data,
  })